Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.lifecycle
Interface Lifecycle

All Superinterfaces:
  Disposable, Initialisable, Startable, Stoppable

All Known Subinterfaces:
  Agent, Component, Connector, JavaComponent, LifecycleAdapter, Model, MuleContext, Service

All Known Implementing Classes:
  AbstractAgent, AbstractComponent, AbstractConnector, AbstractJavaComponent, AbstractJndiConnector, AbstractMailConnector, AbstractModel, AbstractNotificationLoggerAgent, AbstractRetrieveMailConnector, AbstractService, AbstractTlsRetrieveMailConnector, AbstractWebServiceWrapperComponent, ActiveMQJmsConnector, ActiveMQXAJmsConnector, AjaxConnector, AjaxServletConnector, AxisConnector, AxisWsdlConnector, ConfigScannerAgent, CxfConnector, CxfServiceComponent, CxfWsdlConnector, DefaultJavaComponent, DefaultJmxSupportAgent, DefaultLifecycleAdapter, DefaultMuleContext, DirectModel, DirectService, EjbConnector, EndpointNotificationLoggerAgent, FileConnector, FtpConnector, GmailSmtpConnector, HeartbeatAgent, HttpConnector, HttpPollingConnector, HttpsConnector, HttpsPollingConnector, ImapConnector, ImapsConnector, InheritedModel, JcaComponent, JcaModel, JcaService, JdbcConnector, JdmkAgent, JettyHttpConnector, JettyHttpsConnector, JmsConnector, JmxAgent, JmxServerNotificationAgent, JnpConnector, Log4jAgent, Log4jNotificationLoggerAgent, MulticastConnector, Mx4jAgent, NullLifecycleAdapter, PassThroughComponent, PipelineModel, PipelineService, PooledJavaComponent, Pop3Connector, Pop3sConnector, ProcessComponent, ProcessConnector, PromptStdioConnector, QuartzConnector, RemoteDispatcherAgent, RestServiceWrapper, RmiConnector, RmiRegistryAgent, ScriptComponent, SedaModel, SedaService, ServletConnector, SimpleCallableJavaComponent, SmtpConnector, SmtpsConnector, SslConnector, StdioConnector, TcpConnector, TlsConnector, UdpConnector, VMConnector, WeblogicJmsConnector, WebServiceWrapperComponent, WebServiceWrapperComponent, WebsphereJmsConnector, WrapperManagerAgent, XmppConnector, XmppsConnector, YourKitProfilerAgent

    public interface Lifecycle

extends Initialisable, Startable, Stoppable, Disposable

`DefaultLifecyclePhase` adds lifecycle methods `start`, `stop` and `dispose`. TODO MULE-2113

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.